version check error from ACP

Discussion forum for Extension Writers regarding Extension Development.
User avatar
Meis2M
Translator
Posts: 876
Joined: Wed Mar 03, 2010 11:32 am
Location: IR.Damghan
Name: میثم نوبری
Contact:

Re: version check error from ACP

Post by Meis2M » Sun May 05, 2019 7:37 pm

LukeWCS wrote:
Sun May 05, 2019 4:50 pm
Hi
AbaddonOrmuz wrote:
Fri May 03, 2019 9:17 am
If I remember correctly, it doen't work if you use the GitHub repository directly, or at least it didn't work for me back then.
It works, if you use the subdomain raw. and with a small change in the URL. My LFWWH ext demonstrates how this works.

@Meis2M

Your file is on a server with SSL, so you need the parameter "ssl": true in your composer.json:

Code: Select all

	"version-check": {
	"host": "phpbb-seo.github.io",
	"directory": "/versions",
	"filename": "usu.json",
	"ssl": true
FYI: you have indentation in your composer.json with tabs and spaces. ;)
wow now it is work "ssl"
thanks
phpBB persian international support
Ultimate SEO Friendly URL - Extension
Follow us in Instagram
Free upgrade and install extensions on your forum - drop me PM

User avatar
AbaddonOrmuz
Registered User
Posts: 693
Joined: Wed Dec 25, 2013 9:06 pm
Location: /dev/null
Name: Alfredo Ramos
Contact:

Re: version check error from ACP

Post by AbaddonOrmuz » Sun May 05, 2019 9:42 pm

LukeWCS wrote:
Sun May 05, 2019 4:50 pm
It works, if you use the subdomain raw. and with a small change in the URL. My LFWWH ext demonstrates how this works.
Do you mean raw.githubcontent.com? Because that still serves the files as text, GitHub does that precisely to avoid to be used as file hosting (like CSS, JS), so I wouldn't recommend that.

Code: Select all

$ curl -IL https://raw.githubusercontent.com/AlfredoRamos/AlfredoRamos.github.io/master/phpbb-extensions/imgur.json

...
Content-Type: text/plain; charset=utf-8
...

Code: Select all

$ curl -IL https://alfredoramos.github.io/phpbb-extensions/imgur.json

...
content-type: application/json; charset=utf-8
...
If you mean services like raw.githack.com, that's normal as they were created for that.
Some of my phpBB extensions: [ Imgur | SEO Metadata | Markdown ]
Check out all my extensions
Arch Linux user

User avatar
LukeWCS
Registered User
Posts: 148
Joined: Mon Dec 08, 2014 12:32 pm
Location: Germany

Re: version check error from ACP

Post by LukeWCS » Mon May 06, 2019 9:30 am

AbaddonOrmuz wrote:
Sun May 05, 2019 9:42 pm
Do you mean raw.githubcontent.com? Because that still serves the files as text, GitHub does that precisely to avoid to be used as file hosting (like CSS, JS), so I wouldn't recommend that.
That's exactly the cause why I use it for the version file. And then it's not needed to update the version file in a extra step. Simply update the repo and the version file is also updated. That works for all of my extensions very well.
May the backup be with you. Always.

My extensions: Monospace font for Posting Editor (phpbb.de)
My extension forks: LF who was here (phpbb.de / phpbb.com), ModBreak eXtended (phpbb.com)

User avatar
AbaddonOrmuz
Registered User
Posts: 693
Joined: Wed Dec 25, 2013 9:06 pm
Location: /dev/null
Name: Alfredo Ramos
Contact:

Re: version check error from ACP

Post by AbaddonOrmuz » Mon May 06, 2019 4:56 pm

LukeWCS wrote:
Mon May 06, 2019 9:30 am
That's exactly the cause why I use it for the version file. And then it's not needed to update the version file in a extra step. Simply update the repo and the version file is also updated. That works for all of my extensions very well.
I don't know what are you referring to now, but if it works for you that's ok.

I still prefer to use GitHub pages as files are served though a CDN/Proxy, besides that using a GitHub repository as a file hosting is against their ToS.
Some of my phpBB extensions: [ Imgur | SEO Metadata | Markdown ]
Check out all my extensions
Arch Linux user

Post Reply

Return to “Extension Writers Discussion”